#ifndef VGOLF_INIT_H
#define VGOLF_INIT_H

void set_gfx_mode(void);
T3F_ANIMATION * vgolf_load_course_preview(const char * fn, const ALLEGRO_FILE_INTERFACE * fi);
void vgolf_build_course_database(void);
void vgolf_build_avatar_database(void);
void vgolf_build_commentary_database(void);
void vgolf_reset_content_lists(void);
void vgolf_free_course_database(void);
void vgolf_free_avatar_database(void);
int vgolf_init(int argc, char * argv[]);
void vgolf_exit(void);
void vgolf_show_load_screen(ALLEGRO_COLOR color, const char * text, const char * progress, const char * space);

T3F_ANIMATION * vgolf_load_animation(const char * fn);
bool vgolf_load_bitmap(ALLEGRO_BITMAP ** bp, const char * fn);
int load_main_image_bank(void);

#endif
