#include "t3f/t3f.h"

#ifndef T3F_ANDROID
	#include <allegro5/allegro_native_dialog.h>
#endif

static char vgolf_filename[1024] = {0};

const char * vgolf_select_file(const char * initial, const char * title)
{
	#ifndef T3F_ANDROID
		ALLEGRO_FILECHOOSER * file_chooser;
		
		file_chooser = al_create_native_file_dialog(initial, title, "*.vdr", ALLEGRO_FILECHOOSER_FILE_MUST_EXIST);
		if(file_chooser)
		{
			al_show_native_file_dialog(t3f_display, file_chooser);
			if(al_get_native_file_dialog_count(file_chooser) > 0)
			{
				strcpy(vgolf_filename, al_get_native_file_dialog_path(file_chooser, 0));
			}
			else
			{
				strcpy(vgolf_filename, "");
			}
			al_destroy_native_file_dialog(file_chooser);
		}
		return vgolf_filename;
	#else
		return NULL;
	#endif
}
