#include "t3f/t3f.h"
#include "t3f/draw.h"

#include "structs.h"
#include "globals.h"

//draw this animation def
void draw_anim_def(ALLEGRO_BITMAP * bp, ANIM_DEF * an, int x, int y)
{
	t3f_draw_bitmap(game_course->image_bank.ball_splash_pic[an->cur_frame / an->speed], t3f_color_white, x - main_game_vars.camera.x, y - main_game_vars.camera.y, -main_game_vars.camera.z, 0);
}

//handle the animation def
int do_anim_def_logic(ANIM_DEF * an, int x, int y, char loop)
{
	if(an->cur_frame < an->num_frames * an->speed) an->cur_frame++;  //increment the current frame
	else
	{
		if(loop) an->cur_frame = 0;     //if we're looping, start back at 0
	}
	return an->cur_frame;
}

//handle the animation def
int do_anim_def(ALLEGRO_BITMAP * bp, ANIM_DEF * an, int x, int y, char loop)
{
	draw_anim_def(bp, an, x, y);   //draw the current frame to the bitmap
	return 1;
}

